# Uses of Class
org.apache.sysds.runtime.io.FrameReader

Packages that use FrameReader
Package
Description
org.apache.sysds.runtime.io
org.apache.sysds.runtime.iogen
org.apache.sysds.runtime.iogen.template

## Uses of FrameReader in org.apache.sysds.runtime.io

Subclasses of FrameReader in org.apache.sysds.runtime.io
Modifier and Type
Class
Description
`class`
`FrameReaderBinaryBlock`
Single-threaded frame binary block reader.
`class`
`FrameReaderBinaryBlockParallel`
Multi-threaded frame binary block reader.
`class`
`FrameReaderDelta`
Single-threaded native Delta Lake reader for frames, built on the Spark-free Delta Kernel library.
`class`
`FrameReaderDeltaParallel`
Parallel native Delta Lake frame reader.
`class`
`FrameReaderParquet`
Single-threaded frame parquet reader.
`class`
`FrameReaderParquetParallel`
Multi-threaded frame parquet reader.
`class`
`FrameReaderProto`
`class`
`FrameReaderTextCell`
Single-threaded frame textcell reader.
`class`
`FrameReaderTextCellParallel`
Multi-threaded frame textcell reader.
`class`
`FrameReaderTextCSV`
Single-threaded frame text csv reader.
`class`
`FrameReaderTextCSVParallel`
Multi-threaded frame text csv reader.
Methods in org.apache.sysds.runtime.io that return FrameReader
Modifier and Type
Method
Description
`static FrameReader`
FrameReaderFactory.`createFrameReader(Types.FileFormat fmt)`
`static FrameReader`
FrameReaderFactory.`createFrameReader(Types.FileFormat fmt, FileFormatProperties props)`

## Uses of FrameReader in org.apache.sysds.runtime.iogen

Methods in org.apache.sysds.runtime.iogen that return FrameReader
Modifier and Type
Method
Description
`FrameReader`
GenerateReader.GenerateReaderFrame.`getReader()`

## Uses of FrameReader in org.apache.sysds.runtime.iogen.template

Subclasses of FrameReader in org.apache.sysds.runtime.iogen.template
Modifier and Type
Class
Description
`class`
`FrameGenerateReader`
`class`
`FrameGenerateReaderParallel`